﻿using System;
using System.Windows.Controls;
using System.Collections.Generic;
using System.ComponentModel;

namespace _289938_TreeViewContainerBindings
{
	public class Employee
	{
		public string Name{get; set;}
		public int Count { get; set; }
		public override string ToString()
		{
			return this.Name;
		}

		private bool isExpanded;
		public bool IsExpanded
		{
			get
			{
				return isExpanded;
			}
			set
			{
				if (value != isExpanded)
				{
					isExpanded = value;
					OnPropertyChanged("IsExpanded");
				}
			}
		}

		#region INotifyPropertyChanged Members
		private void OnPropertyChanged(string PropertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(PropertyName));
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;
		#endregion
	}
}
