﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Windows.Browser;
using Telerik.Windows;
using System.ComponentModel;
using System.Windows.Data;

namespace _289938_TreeViewContainerBindings
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.MyTreeView.ItemsSource = this.GenerateCategories();
		}

		private ObservableCollection<Category> GenerateCategories()
		{
			ObservableCollection<Category> result = new ObservableCollection<Category>();

			for (int j = 0; j < 4; j++)
			{
				Category c = new Category()
				{
					Name = String.Format("Categories {0}", j)
				};

				for (int k = 0; k < 7; k++)
				{
					Product pr = new Product()
					{
						Name = String.Format("Product {0}", k),
						CheckedButton = (k%3) + 1
					};
					c.Products.Add(pr);
				}
				result.Add(c);
			}
			return result;
		}
	}
}
